Loading...
Searching...
No Matches
XrdSfsXio.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdSfsXio

## Typedefs

typedef class XrdBuffer * | XrdSfsXioHandle

## Typedef Documentation

## XrdSfsXioHandle

typedef class XrdBuffer* XrdSfsXioHandle

XrdSfsXio.hh

This class is used to allow file I/O interfaces to perform exchange buffer I/O in order to minimize data copying. When this feature is enabled, the XrdSfsInterface::setXio() method is called on a newly created XrdSfsFile object. Ideally, all oustanding buffers should be be released when the file is closed. Alternatively, the XrdSfsXio::Reclaim() method may be used at any time when it is convenient to do so. For best performance, use XrdSfsXio::Swap() as it provides memory locality and is kind to the cache. Buffer swapping is only supported for common file write operations.

Definition at line 46 of file XrdSfsXio.hh.